com.example.instilostandfound

## Class NetworkConnection

- java.lang.Object
- - com.example.instilostandfound.NetworkConnection

-     public class NetworkConnection
      extends java.lang.Object

  Class that contains various methods for network connection checking and displays messages accordingly

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ERR_DIALOG_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkConnection()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isConnectedToInternet(android.content.Context context)` Check whether device is connected to internet
    `static boolean` | `isConnectedToMobileNetwork(android.content.Context context)` Check whether device is connected to internet via mobile network
    `static boolean` | `isConnectedToWifi(android.content.Context context)` Check whether devide is connected to wifi
    `static void` | `showNoInternetAvailableErrorDialog(android.content.Context context)` Method that displays dialog in case no internet is available

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERR_DIALOG_TITLE

          public static final java.lang.String ERR_DIALOG_TITLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NetworkConnection

          public NetworkConnection()

  - ### Method Detail

    - #### isConnectedToInternet

          public static boolean isConnectedToInternet(android.content.Context context)

      Check whether device is connected to internet
      Parameters:
        `context` - the class object
      Returns:
        true or false value

    - #### isConnectedToWifi

          public static boolean isConnectedToWifi(android.content.Context context)

      Check whether devide is connected to wifi
      Parameters:
        `context` - the class object
      Returns:
        true or false value

    - #### isConnectedToMobileNetwork

          public static boolean isConnectedToMobileNetwork(android.content.Context context)

      Check whether device is connected to internet via mobile network
      Parameters:
        `context` - the class object
      Returns:
        true or false value

    - #### showNoInternetAvailableErrorDialog

          public static void showNoInternetAvailableErrorDialog(android.content.Context context)

      Method that displays dialog in case no internet is available
      Parameters:
        `context` - class object